=== debian/changelog ===
phonon-backend-gstreamer (4:4.6.0really4.5.1-1) unstable; urgency=low

  * New upstream release.
  * Replace $(overriden_command) with $(overridden_command) in debian/rules.
    Requires pkg-kde-tools 0.12.

 -- Modestas Vainius <modax@debian.org>  Sun, 08 May 2011 00:42:42 +0300

phonon-backend-gstreamer (4:4.6.0really4.5.0-1) unstable; urgency=low

  * New upstream release.
  * Drop CDBS from build depends.
  * Require libphonon*-dev 4.5.0 for building.
  * Bump Standards-Version to 3.9.2: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Fri, 22 Apr 2011 15:40:46 +0300

phonon-backend-gstreamer (4:4.6.0really4.4.4-3) unstable; urgency=low

  * Readd packaging copyright to debian/copyright.
  * Fix typo in phonon-backend-gstreamer-dbg description.
  * Set priority: extra, section: debug and add ${misc:Depends} to
    phonon-backend-gstreamer-dbg package.
  * Port to dhmk based qt-kde-team/2/*, require pkg-kde-tools 0.11.1.
  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Fri, 11 Mar 2011 22:01:52 +0200

phonon-backend-gstreamer (4:4.6.0really4.4.4-2) experimental; urgency=low

  * Add phonon-backend-gstreamer-dbg package.
  * Improve phonon-backend-gstreamer package description.

 -- Modestas Vainius <modax@debian.org>  Sat, 05 Mar 2011 03:17:08 +0200

phonon-backend-gstreamer (4:4.6.0really4.4.4-1) experimental; urgency=low

  * Initial release (based on phonon 4:4.6.0really4.4.3-1).

 -- Modestas Vainius <modax@debian.org>  Sat, 05 Mar 2011 02:34:41 +0200
