=== debian/control ===
Source: phonon-backend-gstreamer
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 7.4.13), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
 automoc, libphonon-dev (>= 4:4.6.0really4.5.0),
 libphononexperimental-dev (>= 4:4.6.0really4.5.0),
 libasound2-dev [linux-any], libglib2.0-dev, libgstreamer0.10-dev,
 libgstreamer-plugins-base0.10-dev, libxml2-dev, libqt4-dev (>= 4.5),
 libgl1-mesa-dev, libqt4-opengl-dev (>= 4.5)
Standards-Version: 3.9.2
Homepage: http://phonon.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/phonon-backend-gstreamer.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/phonon-backend-gstreamer.git

Package: phonon-backend-gstreamer
Architecture: any
Provides: phonon-backend
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer0.10-plugins-base, gstreamer0.10-alsa [linux-any]
Recommends: gstreamer0.10-plugins-good
Suggests: gstreamer0.10-plugins-ugly
Description: Phonon GStreamer 0.10.x backend
 This package contains GStreamer 0.10.x backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer0.10-plugins-good to get support for playing
 popular free multimedia formats and gstreamer0.10-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon-backend-gstreamer-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, phonon-backend-gstreamer (= ${binary:Version})
Replaces: phonon-dbg (<< 4:4.6.0really4.4.4)
Breaks: phonon-dbg (<< 4:4.6.0really4.4.4)
Description: debugging symbols for the Phonon GStreamer 0.10.x backend
 This package contains debugging symbols for the Phonon GStreamer 0.10.x
 backend. If you have a problem with this backend and wish to debug it or you
 have been asked to provide a backtrace of the crash inside the Phonon
 internals, you may find this package useful.
