=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DPLUGIN_INSTALL_DIR=/usr/lib/qt4/

override_dh_shlibdeps:
	$(overridden_command) -- -xphonon

override_dh_strip:
	$(overridden_command) --dbg-package=phonon-backend-gstreamer-dbg
