## phonon-backend-gstreamer 4.7.0really4.5.0

=== debian/changelog ===
phonon-backend-gstreamer (4:4.7.0really4.5.0-0ubuntu3charlotte2) lucid; urgency=low

  * Update no_opengl.diff; OpenGL should be optional, not removed completely

 -- Alex Chiang <achiang@canonical.com>  Mon, 25 Apr 2011 13:21:28 -0600

phonon-backend-gstreamer (4:4.7.0really4.5.0-0ubuntu3charlotte1) lucid; urgency=low

  * Backport no_opengl.diff from Natty

 -- Alex Chiang <achiang@canonical.com>  Mon, 25 Apr 2011 12:49:50 -0600

phonon-backend-gstreamer (4:4.7.0really4.5.0-0ubuntu3) natty; urgency=low

  * Add kubuntu_03_no_opengl.diff to remove unused OpenGL

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 25 Apr 2011 19:23:17 +0100

phonon-backend-gstreamer (4:4.7.0really4.5.0-0ubuntu2charlotte1) lucid; urgency=low

  * Backport from Natty to support minitube

 -- Alex Chiang <achiang@canonical.com>  Sat, 23 Apr 2011 13:34:06 -0600

phonon-backend-gstreamer (4:4.7.0really4.5.0-0ubuntu2) natty; urgency=low

  * New upstream release
  * Add kubuntu_02_install_codec.diff to fix codec install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 15 Apr 2011 14:43:30 +0100

phonon-backend-gstreamer (4:4.7.0really4.4.4-0ubuntu3) natty; urgency=low

  * Add kubuntu_01_fix_codec_installation_crash.diff as recommended by upstream.
  * Drop kubuntu_07_include_fix.diff, the patch was disabled in the package
    and is applied upstream.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 29 Jan 2011 11:56:07 +0100

phonon-backend-gstreamer (4:4.7.0really4.4.4-0ubuntu2) natty; urgency=low

  * Fix phonon build-depend version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Jan 2011 10:53:11 +0000

phonon-backend-gstreamer (4:4.7.0really4.4.4-0ubuntu1) natty; urgency=low

  * New upstream release, source now separate from phonon

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Jan 2011 10:38:26 +0000
