=== debian/control ===
Source: phonon-backend-gstreamer
Section: sound
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.4.13), cmake (>= 2.6.2),
 pkg-kde-tools (>= 0.9), libphonon-dev (>= 4:4.7.0really4.4.4),
 libgstreamer-plugins-base0.10-dev, libgstreamer0.10-dev, libxml2-dev,
 libglib2.0-dev, automoc
Standards-Version: 3.9.1
Homepage: http://www.kde.org/

Package: phonon-backend-gstreamer
Architecture: any
Provides: phonon-backend
Depends: ${shlibs:Depends}, ${misc:Depends},
 gstreamer0.10-plugins-base, gstreamer0.10-alsa [linux-any]
Recommends: gstreamer0.10-plugins-good, gstreamer0.10-packagekit | gnome-codec-install
Suggests: gstreamer0.10-plugins-ugly
Description: Phonon GStreamer 0.10.x backend
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains GStreamer 0.10.x backend for Phonon.
 .
 You should install gstreamer0.10-plugins-good to get support for playing
 popular free multimedia formats and gstreamer0.10-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon-backend-gstreamer-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends},
 phonon-backend-gstreamer (= ${binary:Version})
Description: Phonon GStreamer backend debugging symbols
 Phonon is the Qt 4 multimedia API, which provides a task-oriented abstraction
 layer for capturing, mixing, processing, and playing audio and video content.
 .
 This package contains the debugging symbols for the GStreamer Phonon backend.
