## phonon-backend-gstreamer 4.7.0really4.5.1

=== debian/changelog ===
phonon-backend-gstreamer (4:4.7.0really4.5.1-1ubuntu3) oneiric; urgency=low

  * Build-depend on libx11-dev since it isn't pulled in on armel. (LP: #841450)

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 14 Sep 2011 08:45:52 +0200

phonon-backend-gstreamer (4:4.7.0really4.5.1-1ubuntu2) oneiric; urgency=low

  * On armel: Build-conflict instead of build-depend on OpenGL. (LP: #707794)

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 27 May 2011 22:47:44 +0200

phonon-backend-gstreamer (4:4.7.0really4.5.1-1ubuntu1) oneiric; urgency=low

  * Bump upstream version to 4:4.7.0*.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 27 May 2011 21:24:43 +0200
