## phonon-backend-gstreamer 4.7.0really4.6.0

=== debian/changelog ===
phonon-backend-gstreamer (4:4.7.0really4.6.0-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Bump build-dependency on phonon to 4:4.7.0really4.6.0.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 16 Feb 2012 21:50:11 +0100

phonon-backend-gstreamer (4:4.7.0really4.5.1-1ubuntu4) precise; urgency=low

  * Build for multiarch.
    - Switch to debhelper compat level v9.
  * Treat armhf the same as armel.

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 15 Dec 2011 21:42:41 +0100
