## phonon-backend-gstreamer 4.7.0really4.6.2

=== debian/changelog ===
phonon-backend-gstreamer (4:4.7.0really4.6.2-0ubuntu0.1) precise-proposed; urgency=low

  * SRU update (LP: #1028903)
    - Fix deadlock in aboutToFinish (LP: #1005262)
    - Fix crash on null pointer (LP: #1028887)
    - Fix metadata emission for http urls (LP: #1028890)
    - Fix memleaks (LP: #1028895)
    - Fix streamreader/AbstractMediaStream implementation (LP: #1028901)

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 25 Jul 2012 15:04:21 +0200
