=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: debhelper (>= 7.4.13), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
- automoc, libphonon-dev (>= 4:4.7.0really4.5.0),
- libphononexperimental-dev (>= 4:4.7.0really4.5.0),
+Build-Depends: debhelper (>= 8.1.3~), cmake (>= 2.6.2), pkg-kde-tools (>= 0.12),
+ automoc, libphonon-dev (>= 4:4.7.0really4.6.0),
+ libphononexperimental-dev (>= 4:4.7.0really4.6.0),
  libasound2-dev [linux-any], libglib2.0-dev, libgstreamer0.10-dev,
  libgstreamer-plugins-base0.10-dev, libxml2-dev, libqt4-dev (>= 4.5),
- libgl1-mesa-dev [!armel], libqt4-opengl-dev (>= 4.5) [!armel],
+ libgl1-mesa-dev [!armel !armhf], libqt4-opengl-dev (>= 4.5) [!armel !armhf],
  libx11-dev
-Build-Conflicts: libgl1-mesa-dev [armel]
+Build-Conflicts: libgl1-mesa-dev [armel armhf]
 Standards-Version: 3.9.2
 Homepage: http://phonon.kde.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/phonon-backend-gstreamer.git
@@ -19,7 +19,9 @@
 
 Package: phonon-backend-gstreamer
 Architecture: any
+Multi-Arch: same
 Provides: phonon-backend
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
  gstreamer0.10-plugins-base, gstreamer0.10-alsa [linux-any]
 Recommends: gstreamer0.10-plugins-good
@@ -38,6 +40,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, phonon-backend-gstreamer (= ${binary:Version})
 Replaces: phonon-dbg (<< 4:4.7.0really4.4.4)
 Breaks: phonon-dbg (<< 4:4.7.0really4.4.4)
