## phonon-backend-gstreamer 4.7.0really4.6.3

=== debian/changelog ===
phonon-backend-gstreamer (4:4.7.0really4.6.3-0ubuntu2) saucy; urgency=low

  * Add gstreamer0.10-pulseaudio as alternate dep for gstreamer0.10-alsa
    as phonon gstreamer actually supports either. (LP: #1154630)

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 03 Oct 2013 12:37:03 +0200

phonon-backend-gstreamer (4:4.7.0really4.6.3-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 04 Feb 2013 14:30:52 +0100

phonon-backend-gstreamer (4:4.7.0really4.6.2-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Update watch file from bz2 archives to xz archives

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 14 Aug 2012 10:41:07 +0200

phonon-backend-gstreamer (4:4.7.0really4.6.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 16 Jul 2012 04:13:29 +0200
