=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Provides: phonon-backend
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
- gstreamer0.10-plugins-base, gstreamer0.10-alsa [linux-any]
+ gstreamer0.10-plugins-base, gstreamer0.10-alsa [linux-any] | gstreamer0.10-pulseaudio
 Recommends: gstreamer0.10-plugins-good
 Suggests: gstreamer0.10-plugins-ugly
 Description: Phonon GStreamer 0.10.x backend
