=== gstreamer/icons/CMakeLists.txt ===
phonon_install_icons(${ICON_INSTALL_DIR})
phonon_update_iconcache()
