=== debian/changelog ===
phonon-backend-gstreamer (4:4.7.1+git20140403-0ubuntu1) trusty; urgency=medium

  * Upstream snapshot from 1.0-porting-for-merge branch
    - Transitional packages for phonon-backend-gstreamer1.0
    - Drop phonon4qt5-backend-gstreamer since it's built by a separate source
      now

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 03 Apr 2014 15:54:50 +0200

phonon-backend-gstreamer (4:4.7.1-1ubuntu4) trusty; urgency=medium

  * No change rebuild against libqtcore5a.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 14 Mar 2014 11:34:37 +0000

phonon-backend-gstreamer (4:4.7.1-1ubuntu3) trusty; urgency=low

  * Add build-dep on libqt5opengl5-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Dec 2013 12:21:08 +0000

phonon-backend-gstreamer (4:4.7.1-1ubuntu2) trusty; urgency=low

  * Add missing build-dep on libphonon4qt5-dev and
    libphonon4qt5experimental-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Dec 2013 12:08:16 +0000

phonon-backend-gstreamer (4:4.7.1-1ubuntu1) trusty; urgency=low

  * Sync with Debian
  * Build Phonon4Qt5 backend and create new and common package for it

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 10 Dec 2013 12:53:31 +0000

phonon-backend-gstreamer (4:4.7.1-1) unstable; urgency=low

  * New upstream release.
  * Drop unneeded extra 0 in version.
  * Adjust build dependencies versions.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 09 Dec 2013 16:36:06 -0300

phonon-backend-gstreamer (4:4.7.0.0-1) unstable; urgency=low

  * New upstream release (4.7.0).
  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add gstreamer0.10-audiosink as an optional depends to the ALSA sink to
    phonon-backend-gstreamer (Closes: #680977).

  [ Modestas Vainius ]
  * Bump Standards-Version to 3.9.5: no further changes needed.
  * Require phonon 4.7.0(.0).

 -- Modestas Vainius <modax@debian.org>  Tue, 05 Nov 2013 13:18:29 +0200

phonon-backend-gstreamer (4:4.6.3-1) unstable; urgency=low

  * Add myself to Uploaders.
  * New upstream release.
  * Fix watch file:
    - No need to use umangle anymore.
    - The tar file is now xz compressed.
  * Use debhelper compat 9.
    - Bump debian/compat.
    - Bump debhelper build dependency.
  * Use canonical Vcs URLs.
  * Bump Standards-Version to 3.9.4, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 29 Jun 2013 22:56:36 -0300

phonon-backend-gstreamer (4:4.6.0.0-2) unstable; urgency=low

  * Team upload.

  [ Felix Geyer ]
  * Convert for multiarch.

  [ Fathi Boudra ]
  * Bump Qt build dependency to 4:4.8.1.
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Bump debian/compat to 8.

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 May 2012 15:08:02 +0300
