=== debian/control ===
Source: phonon-backend-gstreamer
Section: sound
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: automoc,
               cmake (>= 2.6.2),
               debhelper (>= 9~),
               libasound2-dev [linux-any],
               libgl1-mesa-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libphonon-dev,
               libphononexperimental-dev,
               libqt4-dev (>= 4:4.8.1),
               libqt4-opengl-dev (>= 4:4.8.1),
               libxml2-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://phonon.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-std/phonon-backend-gstreamer.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-std/phonon-backend-gstreamer.git

Package: phonon-backend-gstreamer-common
Architecture: any
Multi-Arch: same
Suggests: phonon-backend-gstreamer, phonon4qt5-backend-gstreamer
Replaces: phonon-backend-gstreamer (<< 4:4.7.1-0ubuntu1)
Breaks: phonon-backend-gstreamer (<< 4:4.7.1-0ubuntu1)
Description: Phonon GStreamer 1.0.x backend icons
 This package contains GStreamer 1.0.x backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.
 .
 This package contains icons used by Phonon and Phonon4Qt5 backends.

Package: phonon-backend-gstreamer
Architecture: any
Multi-Arch: same
Provides: phonon-backend
Pre-Depends: ${misc:Pre-Depends}
Depends: phonon-backend-gstreamer-common (= ${binary:Version}),
         gstreamer-1.0-pulseaudio | gstreamer1.0-alsa [linux-any] | gstreamer1.0-audiosink,
         gstreamer1.0-plugins-base,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-plugins-good 
Suggests: gstreamer1.0-plugins-ugly
Breaks: phonon-backend-gstreamer1.0 (<< 4.7.1+git20140324-0ubuntu1)
Replaces: phonon-backend-gstreamer1.0 (<< 4.7.1+git20140324-0ubuntu1)
Description: Phonon GStreamer 1.0.x backend
 This package contains GStreamer 1.0.x backend for Phonon multimedia
 framework. It transparently adapts and reroutes all requests from Phonon
 applications to the GStreamer framework which in turn performs requested
 audio/video decoding/capture tasks.
 .
 You should install gstreamer1.0-plugins-good to get support for playing
 popular free multimedia formats and gstreamer1.0-plugins-ugly to get support
 for popular MPEG audio formats like MP3.

Package: phonon-backend-gstreamer-dbg
Section: debug
Priority: optional
Architecture: any
Multi-Arch: same
Depends: phonon-backend-gstreamer (= ${binary:Version}), ${misc:Depends}
Replaces: phonon-dbg (<< 4:4.6.0really4.4.4), phonon-backend-gstreamer1.0 (<< 4.7.1+git20140324-0ubuntu1)
Breaks: phonon-dbg (<< 4:4.6.0really4.4.4), phonon-backend-gstreamer1.0 (<< 4.7.1+git20140324-0ubuntu1)
Description: debugging symbols for the Phonon GStreamer 1.0.x backend
 This package contains debugging symbols for the Phonon GStreamer 1.0.x
 backend. If you have a problem with this backend and wish to debug it or you
 have been asked to provide a backtrace of the crash inside the Phonon
 internals, you may find this package useful.


## Transitional packages, can be removed in 14.10

Package: phonon-backend-gstreamer1.0-common
Section: oldlibs
Architecture: all
Priority: extra
Depends: phonon-backend-gstreamer-common
Description: transitional package
 This is a transitional package. It can be safely removed.

Package: phonon-backend-gstreamer1.0
Section: oldlibs
Architecture: all
Priority: extra
Depends: phonon-backend-gstreamer
Description: transitional package
 This is a transitional package. It can be safely removed.

Package: phonon-backend-gstreamer1.0-dbg
Section: oldlibs
Architecture: all
Priority: extra
Depends: phonon-backend-gstreamer-dbg
Description: transitional package
 This is a transitional package. It can be safely removed.
