=== debian/changelog ===
phonon-backend-gstreamer (4:4.7.80-0ubuntu2~ubuntu14.04) trusty; urgency=medium

  * Trusty backport LP: #1358312 requested by upstream
  * Keep transitional packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 27 Aug 2014 11:33:12 +0200

phonon-backend-gstreamer (4:4.7.80-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Remove transitional packages phonon-backend-gstreamer1.0-common
    phonon-backend-gstreamer1.0 phonon-backend-gstreamer1.0-dbg

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Aug 2014 14:36:15 +0200

phonon-backend-gstreamer (4:4.7.2+git20140710-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot of 1.0-porting-for-merge branch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jul 2014 13:02:34 +0200
