=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                libglib2.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
-               libphonon-dev,
-               libphononexperimental-dev,
+               libphonon-dev (>= 4:4.7.80),
+               libphononexperimental-dev (>= 4:4.7.80),
                libqt4-dev (>= 4:4.8.1),
                libqt4-opengl-dev (>= 4:4.8.1),
                libxml2-dev,
