=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,3 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=phonon-backend-gstreamer-dbg
-
