=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/phonon/phonon-backend-gstreamer/([\d.]+)/phonon-backend-gstreamer-([\d.]+).tar.xz
ftp://ftp.kde.org/pub/kde/unstable/phonon/phonon-backend-gstreamer/([\d.]+)/phonon-backend-gstreamer-([\d.]+).tar.xz
