## phonon-backend-gstreamer 4.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 set(PHONON_GST_MAJOR_VERSION "4")
-set(PHONON_GST_MINOR_VERSION "7")
-set(PHONON_GST_PATCH_VERSION "80")
+set(PHONON_GST_MINOR_VERSION "8")
+set(PHONON_GST_PATCH_VERSION "0")
 set(PHONON_GST_VERSION "${PHONON_GST_MAJOR_VERSION}.${PHONON_GST_MINOR_VERSION}.${PHONON_GST_PATCH_VERSION}")
 
 add_definitions(-DPHONON_GST_VERSION="${PHONON_GST_VERSION}")
