=== debian/changelog ===
phonon-backend-gstreamer (4:4.8.0-3) unstable; urgency=medium

  * Fix phonon-backend-gstreamer-common's Breaks and Replaces with
    << 4:4.8.0-2~ (Closes: #763604).
  * Update debian/copyright and switch it to format 1.0.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 01 Oct 2014 15:47:36 -0300

phonon-backend-gstreamer (4:4.8.0-2) unstable; urgency=low

  [ Pino Toscano ]
  * Fix the watch file.
  
  [ Diane Trout ]
  * Provide Qt5 build.
    This required creating a -common package for the icons shared between
    the Qt4 and Qt5 versions.
  * Add myself to uploaders.
  * Update cmake build-depends version to 2.8.6
  * Add gstreamer1.0-pulseaudio as one of the alternative drivers.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make the backend depend on both the pulseaudio and alsa/audiosink set of
    gstreamer plugins (Closes: #762577). The footprint is small and we don't
    force pulseaudio on our users.

 -- Diane Trout <diane@ghic.org>  Sun, 28 Sep 2014 21:33:26 -0700

phonon-backend-gstreamer (4:4.8.0-1) unstable; urgency=low

  [ Maximiliano Curia ]
  * New upstream release (4.8.0).
  * Update build dependencies.
  * Update dependencies to gst1.0.
  * Update watch file.
  * Update copyright file.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Sep 2014 17:39:17 +0200
